This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 115961 - K&R code with missing return statements
K&R code with missing return statements
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-PDL (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 07:13 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 12:29:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-17 07:13:30 EST
Description of problem:

I just tried to compile package perl-PDL-2.4.0-2 from Fedora.

The compiler said

1.


blas.c(29): remark #1011: missing return statement at end of non-void
function "mvmpy"
blas.c(62): remark #1011: missing return statement at end of non-void
function "mmmpy"
blas.c(98): remark #1011: missing return statement at end of non-void
function "mtransp"
blas.c(157): remark #1011: missing return statement at end of non-void
function "tritosquare"

Suggest add void return type to thes functions.  Isn't it about time
these functions were upgraded to ISO C ?  Got to leave the 1980s
behind sometime.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chip Turner 2004-02-17 12:29:07 EST
this is more of an upstream issue; I would suggest working with
upstream to get this fixed as realistically this is a low priority
package for Fedora.  upstream is pdl.perl.org
Comment 2 d.binderman 2004-02-17 14:39:39 EST
>this is more of an upstream issue; I would suggest working with
>upstream to get this fixed as realistically this is a low priority
>package for Fedora.  upstream is pdl.perl.org

Perhaps I fail to understand my relationship with Redhat.
I really thought I was a customer of Redhat softwares.

I think it takes a brave, novel and courageous(*) software
company to admit a fault in their software and not be bothered
to fix it.

(*) In the full Sir Humphrey Appleby sense

Note You need to log in before you can comment on or make changes to this bug.